### Method

# Panel LayeredSettings get_key

#### Declaration [src]

    GSettingsSchemaKey*
    panel_layered_settings_get_key (
      PanelLayeredSettings* self,
      const char* key
    )

#### Description [src]

Gets the `GSettingsSchemaKey` denoted by `key`.

It is a programming error to call this with a key that does not exist.

#### Parameters

`key`

  Type: `const char*`

  The name of the setting.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GSettingsSchemaKey`

A `GSettingsSchemaKey`.

The caller of the method takes ownership of the data, and is responsible for freeing it.